driveItems.share
Grant a person access to an item by email.
POST /api/v1/drive-items/{itemId}/access
- SDK:
tb.driveItems.share(input) - CLI:
thinkbench drive-items share - MCP tool:
drive_items_share
Input
| Field | Type | In | Description |
|---|---|---|---|
itemId |
string |
path | |
email |
string |
body | |
permission |
"read_write" | "read_only" |
body |
Output
Returns an empty response on success.
Examples
curl
curl -X POST "https://app.thinkbench.com/api/v1/drive-items/<itemId>/access" \
-H "x-api-key: $THINKBENCH_API_KEY" \
-H "content-type: application/json" \
-d '{"email":"ada@example.com","permission":"read_write"}'TypeScript SDK
await tb.driveItems.share({ itemId: "<itemId>", email: "ada@example.com", permission: "read_write" });CLI
thinkbench drive-items share --item-id "<itemId>" --email "ada@example.com" --permission "read_write"MCP
{
"name": "drive_items_share",
"arguments": {
"itemId": "<itemId>",
"email": "ada@example.com",
"permission": "read_write"
}
}